/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.publicKeyCollapse {
  &__list {
    display: flex;
    flex-direction: column;
    row-gap: 0.625rem;

    &__item {
      display: flex;
      justify-content: space-between;

      &__address,
      &__date {
        color: $coa-grey-100;
        font-family: Roboto Mono, Rubik, sans-serif;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }

      &__date {
        font-weight: 300;
      }

      &.--twoRows {
        display: flex;
        flex-direction: column;
      }
    }
  }
}
